# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'checkMesh/ui_checkMesh_widget.ui'
#
# Created: Fri Mar 11 11:06:35 2016
#      by: PyQt4 UI code generator 4.9.1
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_checkMeshQT(object):
    def setupUi(self, checkMeshQT):
        checkMeshQT.setObjectName(_fromUtf8("checkMeshQT"))
        checkMeshQT.resize(518, 306)
        checkMeshQT.setMinimumSize(QtCore.QSize(518, 306))
        checkMeshQT.setMaximumSize(QtCore.QSize(16777215, 306))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/plugins/BASEmesh/icons/showmesh.svg")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        checkMeshQT.setWindowIcon(icon)
        self.verticalLayout = QtGui.QVBoxLayout(checkMeshQT)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.tabWidget = QtGui.QTabWidget(checkMeshQT)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
        self.tabWidget.setSizePolicy(sizePolicy)
        self.tabWidget.setMinimumSize(QtCore.QSize(500, 0))
        self.tabWidget.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.tabWidget.setObjectName(_fromUtf8("tabWidget"))
        self.tab_3 = QtGui.QWidget()
        self.tab_3.setObjectName(_fromUtf8("tab_3"))
        self.verticalLayout_5 = QtGui.QVBoxLayout(self.tab_3)
        self.verticalLayout_5.setObjectName(_fromUtf8("verticalLayout_5"))
        self.horizontalLayout_8 = QtGui.QHBoxLayout()
        self.horizontalLayout_8.setObjectName(_fromUtf8("horizontalLayout_8"))
        self.labelQualmesh_2 = QtGui.QLabel(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelQualmesh_2.sizePolicy().hasHeightForWidth())
        self.labelQualmesh_2.setSizePolicy(sizePolicy)
        self.labelQualmesh_2.setMinimumSize(QtCore.QSize(140, 0))
        self.labelQualmesh_2.setObjectName(_fromUtf8("labelQualmesh_2"))
        self.horizontalLayout_8.addWidget(self.labelQualmesh_2)
        self.meshComboBox = QtGui.QComboBox(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.meshComboBox.sizePolicy().hasHeightForWidth())
        self.meshComboBox.setSizePolicy(sizePolicy)
        self.meshComboBox.setMinimumSize(QtCore.QSize(300, 0))
        self.meshComboBox.setAcceptDrops(False)
        self.meshComboBox.setObjectName(_fromUtf8("meshComboBox"))
        self.horizontalLayout_8.addWidget(self.meshComboBox)
        self.verticalLayout_5.addLayout(self.horizontalLayout_8)
        self.horizontalLayout_9 = QtGui.QHBoxLayout()
        self.horizontalLayout_9.setObjectName(_fromUtf8("horizontalLayout_9"))
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem)
        self.labelMatid_2 = QtGui.QLabel(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelMatid_2.sizePolicy().hasHeightForWidth())
        self.labelMatid_2.setSizePolicy(sizePolicy)
        self.labelMatid_2.setMinimumSize(QtCore.QSize(140, 0))
        self.labelMatid_2.setObjectName(_fromUtf8("labelMatid_2"))
        self.horizontalLayout_9.addWidget(self.labelMatid_2)
        self.matidComboBox = QtGui.QComboBox(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.matidComboBox.sizePolicy().hasHeightForWidth())
        self.matidComboBox.setSizePolicy(sizePolicy)
        self.matidComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.matidComboBox.setAcceptDrops(False)
        self.matidComboBox.setObjectName(_fromUtf8("matidComboBox"))
        self.horizontalLayout_9.addWidget(self.matidComboBox)
        self.verticalLayout_5.addLayout(self.horizontalLayout_9)
        self.horizontalLayout_10 = QtGui.QHBoxLayout()
        self.horizontalLayout_10.setObjectName(_fromUtf8("horizontalLayout_10"))
        self.labelNodes_2 = QtGui.QLabel(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelNodes_2.sizePolicy().hasHeightForWidth())
        self.labelNodes_2.setSizePolicy(sizePolicy)
        self.labelNodes_2.setMinimumSize(QtCore.QSize(140, 0))
        self.labelNodes_2.setObjectName(_fromUtf8("labelNodes_2"))
        self.horizontalLayout_10.addWidget(self.labelNodes_2)
        self.nodesComboBox = QtGui.QComboBox(self.tab_3)
        self.nodesComboBox.setMinimumSize(QtCore.QSize(290, 0))
        self.nodesComboBox.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.nodesComboBox.setAcceptDrops(False)
        self.nodesComboBox.setObjectName(_fromUtf8("nodesComboBox"))
        self.horizontalLayout_10.addWidget(self.nodesComboBox)
        self.verticalLayout_5.addLayout(self.horizontalLayout_10)
        self.horizontalLayout_11 = QtGui.QHBoxLayout()
        self.horizontalLayout_11.setObjectName(_fromUtf8("horizontalLayout_11"))
        spacerItem1 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem1)
        self.labelElevattr_2 = QtGui.QLabel(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelElevattr_2.sizePolicy().hasHeightForWidth())
        self.labelElevattr_2.setSizePolicy(sizePolicy)
        self.labelElevattr_2.setMinimumSize(QtCore.QSize(140, 0))
        self.labelElevattr_2.setObjectName(_fromUtf8("labelElevattr_2"))
        self.horizontalLayout_11.addWidget(self.labelElevattr_2)
        self.elevComboBox = QtGui.QComboBox(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.elevComboBox.sizePolicy().hasHeightForWidth())
        self.elevComboBox.setSizePolicy(sizePolicy)
        self.elevComboBox.setMinimumSize(QtCore.QSize(250, 0))
        self.elevComboBox.setAcceptDrops(False)
        self.elevComboBox.setObjectName(_fromUtf8("elevComboBox"))
        self.horizontalLayout_11.addWidget(self.elevComboBox)
        self.verticalLayout_5.addLayout(self.horizontalLayout_11)
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        spacerItem2 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem2)
        self.label = QtGui.QLabel(self.tab_3)
        self.label.setObjectName(_fromUtf8("label"))
        self.horizontalLayout.addWidget(self.label)
        self.zScaleEdit = QtGui.QLineEdit(self.tab_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.zScaleEdit.sizePolicy().hasHeightForWidth())
        self.zScaleEdit.setSizePolicy(sizePolicy)
        self.zScaleEdit.setMinimumSize(QtCore.QSize(50, 0))
        self.zScaleEdit.setMaximumSize(QtCore.QSize(50, 16777215))
        self.zScaleEdit.setAlignment(QtCore.Qt.AlignCenter)
        self.zScaleEdit.setObjectName(_fromUtf8("zScaleEdit"))
        self.horizontalLayout.addWidget(self.zScaleEdit)
        spacerItem3 = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem3)
        self.verticalLayout_5.addLayout(self.horizontalLayout)
        self.tabWidget.addTab(self.tab_3, _fromUtf8(""))
        self.tab_4 = QtGui.QWidget()
        self.tab_4.setObjectName(_fromUtf8("tab_4"))
        self.verticalLayout_7 = QtGui.QVBoxLayout(self.tab_4)
        self.verticalLayout_7.setObjectName(_fromUtf8("verticalLayout_7"))
        self.textBrowser_2 = QtGui.QTextBrowser(self.tab_4)
        self.textBrowser_2.setObjectName(_fromUtf8("textBrowser_2"))
        self.verticalLayout_7.addWidget(self.textBrowser_2)
        self.tabWidget.addTab(self.tab_4, _fromUtf8(""))
        self.verticalLayout.addWidget(self.tabWidget)
        self.groupBox_3 = QtGui.QGroupBox(checkMeshQT)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_3.sizePolicy().hasHeightForWidth())
        self.groupBox_3.setSizePolicy(sizePolicy)
        self.groupBox_3.setMinimumSize(QtCore.QSize(500, 0))
        self.groupBox_3.setTitle(_fromUtf8(""))
        self.groupBox_3.setObjectName(_fromUtf8("groupBox_3"))
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.groupBox_3)
        self.verticalLayout_2.setObjectName(_fromUtf8("verticalLayout_2"))
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
        self.convProgressBar = QtGui.QProgressBar(self.groupBox_3)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.convProgressBar.sizePolicy().hasHeightForWidth())
        self.convProgressBar.setSizePolicy(sizePolicy)
        self.convProgressBar.setMinimumSize(QtCore.QSize(235, 0))
        self.convProgressBar.setProperty("value", 0)
        self.convProgressBar.setObjectName(_fromUtf8("convProgressBar"))
        self.horizontalLayout_2.addWidget(self.convProgressBar)
        self.closeButton = QtGui.QPushButton(self.groupBox_3)
        self.closeButton.setMinimumSize(QtCore.QSize(91, 23))
        self.closeButton.setObjectName(_fromUtf8("closeButton"))
        self.horizontalLayout_2.addWidget(self.closeButton)
        self.plotButton = QtGui.QPushButton(self.groupBox_3)
        self.plotButton.setMinimumSize(QtCore.QSize(91, 0))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.plotButton.setFont(font)
        self.plotButton.setAutoDefault(True)
        self.plotButton.setObjectName(_fromUtf8("plotButton"))
        self.horizontalLayout_2.addWidget(self.plotButton)
        self.verticalLayout_2.addLayout(self.horizontalLayout_2)
        self.verticalLayout.addWidget(self.groupBox_3)

        self.retranslateUi(checkMeshQT)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QObject.connect(self.plotButton, QtCore.SIGNAL(_fromUtf8("clicked()")), checkMeshQT.accept)
        QtCore.QObject.connect(self.closeButton, QtCore.SIGNAL(_fromUtf8("clicked()")), checkMeshQT.reject)
        QtCore.QMetaObject.connectSlotsByName(checkMeshQT)

    def retranslateUi(self, checkMeshQT):
        checkMeshQT.setWindowTitle(QtGui.QApplication.translate("checkMeshQT", "BASEmesh - 3D Viewer", None, QtGui.QApplication.UnicodeUTF8))
        self.labelQualmesh_2.setText(QtGui.QApplication.translate("checkMeshQT", "Mesh elements", None, QtGui.QApplication.UnicodeUTF8))
        self.labelMatid_2.setText(QtGui.QApplication.translate("checkMeshQT", "Material ID field", None, QtGui.QApplication.UnicodeUTF8))
        self.labelNodes_2.setText(QtGui.QApplication.translate("checkMeshQT", "Mesh nodes", None, QtGui.QApplication.UnicodeUTF8))
        self.labelElevattr_2.setText(QtGui.QApplication.translate("checkMeshQT", "Elevation field", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("checkMeshQT", "Elevation scaling factor", None, QtGui.QApplication.UnicodeUTF8))
        self.zScaleEdit.setText(QtGui.QApplication.translate("checkMeshQT", "1.0", None, QtGui.QApplication.UnicodeUTF8))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), QtGui.QApplication.translate("checkMeshQT", "INPUT MESH", None, QtGui.QApplication.UnicodeUTF8))
        self.textBrowser_2.setHtml(QtGui.QApplication.translate("checkMeshQT", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:\'MS Shell Dlg 2\'; font-size:8.25pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt; text-decoration: underline; color:#da9100;\">PURPOSE:</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\">Because QGIS objects only have two dimensions, you can use this tool to make the third dimension of your computational mesh visible. Be aware, it is not intended as post-processing tool but for mesh validation instead.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;\"></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt; text-decoration: underline; color:#da9100;\">USAGE:</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\">Two</span><span style=\" font-size:8pt; font-weight:600;\"> inputs layers </span><span style=\" font-size:8pt;\">have to be selected.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;\"></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\">The shapefiles needed have to be loaded into the QGIS-project before executing this tool. It is not possible to select files directly on the hard drive by browsing. Futhermore, the files used for meshing must be activated in the QGIS table of contents on the left side of the screen. Only data that is visible for the user can be used for meshing. To prevent the selection of wrong shapetypes, the available fields are populated with the corresponding data type.</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\"><br /></span><span style=\" font-size:8pt; font-weight:600;\">Mesh elements:</span><span style=\" font-size:8pt;\"> polygon layer containing mesh elements as polygons with their element ID and three adjacent nodes stored in the attribute table. Normally, this file has been created using the quality meshing tool.</span></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\">After selecting the correct file, the attribute field storing the material indices can be selected in the \'</span><span style=\" font-size:8pt; font-weight:600;\">material ID attribute field\'</span><span style=\" font-size:8pt;\"> below.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;\"></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt; font-weight:600;\">Mesh nodes:</span><span style=\" font-size:8pt;\"> point layer containing mesh nodes as points with their node ID and XYZ-coordinates as attributes. Normally, this file has been created using the quality meshing tool. After selecting the correct file, the attribute field storing elevation information can be selected in the box \'</span><span style=\" font-size:8pt; font-weight:600;\">elevation attribute field\'</span><span style=\" font-size:8pt;\"> below. </span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;\"></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt;\">Using the </span><span style=\" font-size:8pt; font-weight:600;\">Elevation scaling factor</span><span style=\" font-size:8pt;\"> you can stretch (&gt;1.0) or compress (&lt;1.0) your mesh in vertical direction.</span></p>\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:8pt;\"></p>\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:8pt; text-decoration: underline; color:#da9100;\">NOTE:</span></p>\n"
